Package com.smartgwt.client.widgets.form

# Class SearchForm

java.lang.Object
com.google.gwt.user.client.ui.UIObject
com.google.gwt.user.client.ui.Widget
com.smartgwt.client.widgets.BaseWidget
com.smartgwt.client.widgets.Canvas
com.smartgwt.client.widgets.form.DynamicForm
com.smartgwt.client.widgets.form.SearchForm

All Implemented Interfaces:
  `HasAttachHandlers`, `HasHandlers`, `EventListener`, `HasVisibility`, `IsWidget`, `LogicalStructure`, `DataBoundComponent`, `HasClearHandlers`, `HasClickHandlers`, `HasDoubleClickHandlers`, `HasDragCompleteHandlers`, `HasDragMoveHandlers`, `HasDragRepositionMoveHandlers`, `HasDragRepositionStartHandlers`, `HasDragRepositionStopHandlers`, `HasDragResizeMoveHandlers`, `HasDragResizeStartHandlers`, `HasDragResizeStopHandlers`, `HasDragStartHandlers`, `HasDragStopHandlers`, `HasDropCompleteHandlers`, `HasDropHandlers`, `HasDropMoveHandlers`, `HasDropOutHandlers`, `HasDropOverHandlers`, `HasFetchDataHandlers`, `HasFocusChangedHandlers`, `HasHoverHandlers`, `HasHoverHiddenHandlers`, `HasKeyDownHandlers`, `HasKeyPressHandlers`, `HasMouseDownHandlers`, `HasMouseMoveHandlers`, `HasMouseOutHandlers`, `HasMouseOverHandlers`, `HasMouseStillDownHandlers`, `HasMouseUpHandlers`, `HasMouseWheelHandlers`, `HasMovedHandlers`, `HasParentMovedHandlers`, `HasResizedHandlers`, `HasRightMouseDownHandlers`, `HasRuleContextChangedHandlers`, `HasScrolledHandlers`, `HasShowContextMenuHandlers`, `HasVisibilityChangedHandlers`, `HasAsyncValidationReplyHandlers`, `HasCriteriaChangedHandlers`, `HasFormSubmitFailedHandlers`, `HasHiddenValidationErrorsHandlers`, `HasItemChangedHandlers`, `HasItemChangeHandlers`, `HasItemKeyPressHandlers`, `HasOnSearchHandlers`, `HasSubmitValuesHandlers`, `HasValuesChangedHandlers`

public class SearchForm extends DynamicForm implements HasCriteriaChangedHandlers, HasOnSearchHandlers
A SearchForm is a DynamicForm specialized for a user to enter search criteria.

All DynamicForm properties and methods work on SearchForm. SearchForm extends and specializes DynamicForm for searching; for example, SearchForm sets `hiliteRequiredFields` false by default because fields are typically not required in a search.

A `SearchForm` may be bound directly to a ListGrid by applying it to `ListGrid.searchForm`. Doing this ensures that when `search()` is invoked (from a `submit button click` or `Enter keypress`), the grid will be filtered by the values from the search form.

Alternatively, developers may implement their own `search handling logic`.

See Also:
  - `DynamicForm`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

  `UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

  `config, configOnly, factoryCreated, factoryProperties, id, nativeObject, scClassName`

  ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

  `DEBUG_ID_PREFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchForm()`
  `SearchForm(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HandlerRegistration`
  `addCriteriaChangedHandler(CriteriaChangedHandler handler)`
  Add a criteriaChanged handler.
  `HandlerRegistration`
  `addOnSearchHandler(OnSearchHandler handler)`
  Add a onSearch handler.
  `static void`
  `changeAutoChildDefaults(String autoChildName, Canvas defaults)`
  Changes the defaults for Canvas AutoChildren named `autoChildName`.
  `static void`
  `changeAutoChildDefaults(String autoChildName, FormItem defaults)`
  Changes the defaults for FormItem AutoChildren named `autoChildName`.
  `protected JavaScriptObject`
  `create()`
  `String`
  `getCanEditFieldAttribute()`
  This property is overridden in SearchForm to allow editing of dataSource fields marked as `canFilter:true` by default.
  `Integer`
  `getCriteriaChangedDelay()`
  Delay in milliseconds between user changing the criteria in the form and the `SearchForm.criteriaChanged()` notification method being fired.
  `Integer`
  `getLargeValueMapFilterEditorThreshold()`
  For `SearchForms` and `Items in a filterEditor` this property governs the threshold for how many entries are in a `FormItem.valueMap` before the `largeValueMapFilterEditorType` is displayed.
  `String`
  `getLargeValueMapFilterEditorType()`
  For `SearchForms` and `Items in a filterEditor`, what formItem should be used to display large set of options to the user?
  `LogicalStructureObject`
  `getLogicalStructure()`
  Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `static SearchForm`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Boolean`
  `getSearchOnEnter()`
  Causes the `search()` event to be triggered when the user presses the Enter key in any field of this form.
  `Boolean`
  `getShowFilterFieldsOnly()`
  If this attribute is true any `canFilter:false` fields specified on the dataSource will not be shown unless explicitly included in this component's `fields array`
  `Boolean`
  `getStoreDisplayValues()`
  For editable fields with a specified `FormItem.displayField` and `FormItem.optionDataSource`, if the user selects a new value (typically from PickList based item such as a SelectItem), should the selected displayValue be updated on the record being edited in addition to the value for the actual item.
  Note that this only applies for fields using `local display field values`.
  `boolean`
  `getUseMultiSelectForValueMaps()`
  When creating a SelectItem within a Search Form for editing criteria for a field with a ValueMap, should the SelectItem default to `multiple:true`?
  `void`
  `search()`
  `SearchForm`
  `setCanEditFieldAttribute(String canEditFieldAttribute)`
  This property is overridden in SearchForm to allow editing of dataSource fields marked as `canFilter:true` by default.
  `SearchForm`
  `setCriteriaChangedDelay(Integer criteriaChangedDelay)`
  Delay in milliseconds between user changing the criteria in the form and the `SearchForm.criteriaChanged()` notification method being fired.
  `static void`
  `setDefaultProperties(SearchForm searchFormProperties)`
  Class level method to set the default properties of this class.
  `SearchForm`
  `setLargeValueMapFilterEditorThreshold(Integer largeValueMapFilterEditorThreshold)`
  For `SearchForms` and `Items in a filterEditor` this property governs the threshold for how many entries are in a `FormItem.valueMap` before the `largeValueMapFilterEditorType` is displayed.
  `SearchForm`
  `setLargeValueMapFilterEditorType(String largeValueMapFilterEditorType)`
  For `SearchForms` and `Items in a filterEditor`, what formItem should be used to display large set of options to the user?
  `LogicalStructureObject`
  `setLogicalStructure(SearchFormLogicalStructure s)`
  Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `SearchForm`
  `setSearchOnEnter(Boolean searchOnEnter)`
  Causes the `search()` event to be triggered when the user presses the Enter key in any field of this form.
  `SearchForm`
  `setShowFilterFieldsOnly(Boolean showFilterFieldsOnly)`
  If this attribute is true any `canFilter:false` fields specified on the dataSource will not be shown unless explicitly included in this component's `fields array`
  `SearchForm`
  `setStoreDisplayValues(Boolean storeDisplayValues)`
  For editable fields with a specified `FormItem.displayField` and `FormItem.optionDataSource`, if the user selects a new value (typically from PickList based item such as a SelectItem), should the selected displayValue be updated on the record being edited in addition to the value for the actual item.
  Note that this only applies for fields using `local display field values`.
  `SearchForm`
  `setUseMultiSelectForValueMaps(boolean useMultiSelectForValueMaps)`
  When creating a SelectItem within a Search Form for editing criteria for a field with a ValueMap, should the SelectItem default to `multiple:true`?

  ### Methods inherited from class com.smartgwt.client.widgets.form.DynamicForm

  `addAsyncValidationReplyHandler, addDragCompleteHandler, addDropCompleteHandler, addFetchDataHandler, addFormSubmitFailedHandler, addFormulaField, addHiddenValidationErrorsHandler, addItemChangedHandler, addItemChangeHandler, addItemKeyPressHandler, addSubmitValuesHandler, addSummaryField, addValuesChangedHandler, anySelected, assignItemsTabPositions, cancel, cancelEditing, checkForValidationErrors, checkForValidationErrors, checkForValidationErrors, clearErrors, clearFieldErrors, clearValue, clearValues, completeEditing, deselectAllRecords, deselectRecord, deselectRecord, deselectRecords, deselectRecords, disableHilite, disableHiliting, editFields, editHilites, editNewRecord, editNewRecord, editNewRecord, editRecord, editSelectedData, editSelectedData, enableHilite, enableHilite, enableHiliting, enableHiliting, exportData, exportData, exportData, fetchData, fetchData, fetchData, fetchData, fetchRelatedData, fetchRelatedData, fetchRelatedData, fieldIsEditable, fieldIsEditable, fieldIsEditable, filterData, filterData, filterData, filterData, find, findAll, findIndex, findNextIndex, findNextIndex, focus, focusInItem, focusInItem, focusInItem, getAction, getAddDropValues, getAddFormulaFieldText, getAddOperation, getAddSummaryFieldText, getAllowExpressions, getAutoComplete, getAutoDetectColumnMinWidths, getAutoFetchAsFilter, getAutoFetchData, getAutoFetchTextMatchStyle, getAutoFocus, getAutoFocusOnError, getBrowserSpellCheck, getCanAddFormulaFields, getCanAddSummaryFields, getCanEdit, getCanFocus, getCanSubmit, getCanTabToIcons, getCanTabToSectionHeaders, getCellBorder, getCellPadding, getCellSpacing, getChangedValues, getCheckFileAccessOnSubmit, getClipItemTitles, getClipStaticValue, getDataArity, getDataAsJSList, getDataFetchMode, getDataPageSize, getDataSource, getDateFormatter, getDatetimeFormatter, getDeepCloneOnEdit, getDefaultSearchOperator, getDisableValidation, getDragData, getDragDataAction, getDragTrackerStyle, getDropValues, getDuplicateDragMessage, getEditFormulaFieldText, getEditProxyConstructor, getEditSummaryFieldText, getEncoding, getErrorItemCellStyle, getErrors, getErrorsPreamble, getEventItem, getEventItemInfo, getExportAll, getExportFields, getExportIncludeSummaries, getFetchOperation, getFetchRequestProperties, getField, getField, getFieldAlignments, getFieldCount, getFieldErrors, getFields, getFields, getFieldsAsJavaScriptObjects, getFileAccessFailedWarning, getFixedColWidths, getFocusItem, getFormSubmitFailedWarning, getHiliteProperty, getHiliteRequiredFields, getHilites, getHiliteState, getImplicitCriteria, getImplicitSave, getImplicitSaveDelay, getImplicitSaveOnBlur, getInitialCriteria, getInitialSort, getItem, getItemHoverAlign, getItemHoverDelay, getItemHoverHeight, getItemHoverHeightAsString, getItemHoverOpacity, getItemHoverStyle, getItemHoverVAlign, getItemHoverVAlignAsString, getItemHoverWidth, getItemHoverWidthAsString, getItemLayout, getLinearAutoSpanItems, getLinearHintWidth, getLinearHintWidthAsString, getLinearMode, getLinearNumCols, getLinearOnMobile, getLongTextEditorThreshold, getLongTextEditorType, getMethod, getMinColWidth, getMinHintWidth, getNoErrorDetailsMessage, getNumCols, getOldValues, getOperator, getOriginalValueMessage, getPreventDuplicates, getProgressiveLoading, getReadOnlyDisplay, getReadOnlyTextBoxStyle, getRecordIndex, getRecordList, getRejectInvalidValueOnChange, getRemoveOperation, getRequiredMessage, getRequiredRightTitlePrefix, getRequiredRightTitleSuffix, getRequiredTitlePrefix, getRequiredTitleSuffix, getResultSet, getRevertValueKey, getRightTitlePrefix, getRightTitleSuffix, getSavedSearchId, getSaveOnEnter, getSaveOperationType, getSaveOperationType, getSectionVisibilityMode, getSelectOnClick, getSelectOnFocus, getShowComplexFields, getShowComplexFieldsRecursively, getShowDeletions, getShowDetailFields, getShowErrorIcons, getShowErrorStyle, getShowErrorText, getShowHiddenFields, getShowImageAsURL, getShowInlineErrors, getShowOldValueInHover, getShowPending, getShowSavedSearchesByDS, getShowTitlesWithErrorMessages, getShowUploadProgress, getShowVoiceAssistIcon, getSkipConversionOnMapping, getSort, getSparseFieldState, getStopOnError, getSuppressBrowserClearIcons, getSuppressValidationErrorCallback, getSynchronousValidation, getTarget, getTimeFormatter, getTitleAlign, getTitleField, getTitleFieldValue, getTitleOrientation, getTitlePrefix, getTitleSuffix, getUnknownErrorMessage, getUpdateOperation, getUseAllDataSourceFields, getUseFileUploadItem, getUseFlatFields, getUseInlineEditors, getUserTask, getValidateOnChange, getValidateOnExit, getValidationURL, getValue, getValueAsString, getValues, getValuesAsAdvancedCriteria, getValuesAsAdvancedCriteria, getValuesAsCriteria, getValuesAsRecord, getValuesManager, getWrapHintText, getWrapItemTitles, hasErrors, hasFieldErrors, hideItem, invalidateCache, isFocused, isNewRecord, isPendingAsyncValidation, onInit, onInit_DynamicForm, rememberValues, reset, resetValues, saveData, saveData, saveData, selectAllRecords, selectRecord, selectRecord, selectRecord, selectRecord, selectRecords, selectRecords, selectRecords, selectRecords, setAction, setAddDropValues, setAddFormulaFieldText, setAddOperation, setAddSummaryFieldText, setAllowExpressions, setAutoComplete, setAutoDetectColumnMinWidths, setAutoFetchAsFilter, setAutoFetchData, setAutoFetchTextMatchStyle, setAutoFocus, setAutoFocusOnError, setBrowserSpellCheck, setCanAddFormulaFields, setCanAddSummaryFields, setCanEdit, setCanFocus, setCanSubmit, setCanTabToIcons, setCanTabToSectionHeaders, setCellBorder, setCellPadding, setCellSpacing, setCheckFileAccessOnSubmit, setClipItemTitles, setClipStaticValue, setColWidths, setDataArity, setDataFetchMode, setDataPageSize, setDataSource, setDataSource, setDataSource, setDateFormatter, setDatetimeFormatter, setDeepCloneOnEdit, setDefaultProperties, setDefaultSearchOperator, setDisableValidation, setDragDataAction, setDragDataCustomizer, setDragTrackerStyle, setDropValues, setDuplicateDragMessage, setEditFormulaFieldText, setEditProxyConstructor, setEditSummaryFieldText, setEncoding, setErrorItemCellStyle, setErrorOrientation, setErrors, setErrorsPreamble, setExportAll, setExportFields, setExportIncludeSummaries, setFetchOperation, setFetchRequestProperties, setFieldErrors, setFieldErrors, setFields, setFields, setFileAccessFailedWarning, setFixedColWidths, setFormSubmitFailedWarning, setHiliteProperty, setHiliteRequiredFields, setHilites, setHiliteState, setImplicitCriteria, setImplicitCriteria, setImplicitCriteria, setImplicitSave, setImplicitSaveDelay, setImplicitSaveOnBlur, setInitialCriteria, setInitialSort, setItemHoverAlign, setItemHoverDelay, setItemHoverFormatter, setItemHoverHeight, setItemHoverHeight, setItemHoverOpacity, setItemHoverStyle, setItemHoverVAlign, setItemHoverVAlign, setItemHoverWidth, setItemHoverWidth, setItemLayout, setItems, setItemTitleHoverFormatter, setItemValueHoverFormatter, setLinearAutoSpanItems, setLinearHintWidth, setLinearHintWidth, setLinearMode, setLinearNumCols, setLinearOnMobile, setLogicalStructure, setLongTextEditorThreshold, setLongTextEditorType, setMethod, setMinColWidth, setMinHintWidth, setNoErrorDetailsMessage, setNumCols, setOperator, setOriginalValueMessage, setPreventDuplicates, setProgressiveLoading, setReadOnlyDisplay, setReadOnlyTextBoxStyle, setRejectInvalidValueOnChange, setRemoveOperation, setRequiredMessage, setRequiredRightTitlePrefix, setRequiredRightTitleSuffix, setRequiredTitlePrefix, setRequiredTitleSuffix, setRevertValueKey, setRightTitlePrefix, setRightTitleSuffix, setSavedSearchId, setSaveOnEnter, setSaveOperationType, setSectionVisibilityMode, setSelectOnClick, setSelectOnFocus, setShowComplexFields, setShowComplexFieldsRecursively, setShowDeletions, setShowDetailFields, setShowErrorIcons, setShowErrorStyle, setShowErrorText, setShowHiddenFields, setShowImageAsURL, setShowInlineErrors, setShowOldValueInHover, setShowPending, setShowSavedSearchesByDS, setShowTitlesWithErrorMessages, setShowUploadProgress, setShowVoiceAssistIcon, setSkipConversionOnMapping, setSort, setSparseFieldState, setStopOnError, setSuppressBrowserClearIcons, setSuppressValidationErrorCallback, setSynchronousValidation, setTarget, setTimeFormatter, setTitleAlign, setTitleField, setTitleOrientation, setTitlePrefix, setTitleSuffix, setTitleWidth, setTitleWidth, setUnknownErrorMessage, setUpdateOperation, setUseAllDataSourceFields, setUseAllDataSourceFields, setUseFileUploadItem, setUseFlatFields, setUseInlineEditors, setUserTask, setValidateOnChange, setValidateOnExit, setValidationURL, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValues, setValuesAsCriteria, setValuesManager, setWrapHintText, setWrapItemTitles, showErrors, showFieldErrors, showItem, showItemContextMenu, sortItemsIntoTabOrder, submit, submit, submit, submitForm, titleClipped, transferRecords, transferSelectedData, transferSelectedData, validate, validate, validateData, validateData, valuesAreValid, valuesHaveChanged, viewSelectedData, viewSelectedData, viewSelectedData`

  ### Methods inherited from class com.smartgwt.client.widgets.Canvas

  `addChild, addChild, addChild, addChild, addChild, addClearHandler, addClickHandler, addDoubleClickHandler, addDragMoveHandler, addDragRepositionMoveHandler, addDragRepositionStartHandler, addDragRepositionStopHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addDropHandler, addDropMoveHandler, addDropOutHandler, addDropOverHandler, addFocusChangedHandler, addHoverHandler, addHoverHiddenHandler, addKeyDownHandler, addKeyPressHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseStillDownHandler, addMouseUpHandler, addMouseWheelHandler, addMovedHandler, addParentMovedHandler, addPeer, addPeer, addPeer, addPeer, addResizedHandler, addRightMouseDownHandler, addRuleContextChangedHandler, addScrolledHandler, addShowContextMenuHandler, addSnapAlignCandidate, addStyleName, addVisibilityChangedHandler, adjustForContent, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateMove, animateMove, animateMove, animateMove, animateRect, animateRect, animateRect, animateRect, animateResize, animateResize, animateResize, animateResize, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, asSGWTComponent, blur, bringToFront, clear, clearExplicitTabIndex, clickMaskUp, clickMaskUp, contains, contains, containsEvent, containsEventTarget, containsFocus, containsPoint, containsPoint, contentsComponentConnected, dataContextChanged, dataContextCriteriaChanged, deparent, depeer, disable, doValueDictation, doVoiceCommand, enable, encloses, endBatchCreation, focusAfterGroup, focusAtEnd, focusInNextTabElement, focusInPreviousTabElement, getAbsoluteLeft, getAbsoluteTop, getAccessKey, getAdaptiveHeightPriority, getAdaptiveWidthPriority, getAllCanvases, getAllCanvases, getAllCanvases, getAlwaysManageFocusNavigation, getAlwaysShowScrollbars, getAnimateAcceleration, getAnimateFadeTime, getAnimateHideAcceleration, getAnimateHideEffect, getAnimateHideTime, getAnimateMoveAcceleration, getAnimateMoveTime, getAnimateRectAcceleration, getAnimateRectTime, getAnimateResizeAcceleration, getAnimateResizeLayoutMode, getAnimateResizeTime, getAnimateScrollAcceleration, getAnimateScrollTime, getAnimateShowAcceleration, getAnimateShowEffect, getAnimateShowTime, getAnimateTime, getAppImgDir, getAriaHandleID, getAriaRole, getAriaStateDefaults, getAutoMaskComponents, getAutoParent, getAutoPopulateData, getAutoRevertStyles, getAutoShowParent, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBorderRadius, getBottom, getById, getByJSObject, getByLocalId, getCanAcceptDrop, getCanAdaptHeight, getCanAdaptWidth, getCanDrag, getCanDragReposition, getCanDragResize, getCanDragScroll, getCanDrop, getCanDropBefore, getCanDropContent, getCanDropFiles, getCanHover, getCanSelectText, getCanvasAutoChild, getCanvasItem, getChildren, getChildrenAsStringArray, getChildrenResizeSnapAlign, getChildrenSnapAlign, getChildrenSnapCenterAlign, getChildrenSnapEdgeAlign, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getChildTabPosition, getClassName, getComponentMask, getComponentMaskDefaults, getContentElement, getContents, getContentsComponentDefaults, getContextMenu, getControlHeight, getCorrectZoomOverflow, getCursor, getDataContext, getDataContextCriteria, getDataContextCriteria, getDataPath, getDefaultHeight, getDefaultWidth, getDeferActionConversion, getDefiningProperty, getDefiningPropertyName, getDefiningPropertyNameOptions, getDestroyed, getDestroying, getDisabled, getDisabledCursor, getDisableTouchScrollingForDrag, getDoubleClickDelay, getDragAppearance, getDragIntersectStyle, getDragMaskType, getDragMaxHeight, getDragMaxWidth, getDragMinHeight, getDragMinWidth, getDragOpacity, getDragRepositionAppearance, getDragRepositionCursor, getDragResizeAppearance, getDragScrollDelay, getDragStartDistance, getDragTarget, getDragTargetAsString, getDragType, getDropTarget, getDropTargetAsString, getDropTypes, getDropTypesAsString, getDynamicContents, getEdgeBackgroundColor, getEdgeCenterBackgroundColor, getEdgeImage, getEdgeMarginSize, getEdgeOffset, getEdgeOpacity, getEdgeShowCenter, getEdgeSize, getEditNode, getEditProxy, getElement, getElement, getEnableWhen, getEndLine, getEventEdge, getEventEdge, getEvents, getExtraSpace, getFacetId, getFloatingScrollbars, getFormItemAutoChild, getForwardSVGeventsToObject, getFullDataPath, getGroupBorderCSS, getGroupLabelBackgroundColor, getGroupLabelStyleName, getGroupPadding, getGroupTitle, getHeight, getHeightAsString, getHideUsingDisplayNone, getHoverAlign, getHoverAutoDestroy, getHoverAutoFitMaxWidth, getHoverAutoFitMaxWidthAsString, getHoverAutoFitWidth, getHoverComponent, getHoverDelay, getHoverFocusKey, getHoverHeight, getHoverHTML, getHoverMoveWithMouse, getHoverOpacity, getHoverPersist, getHoverScreen, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWrap, getHSnapPosition, getHSnapPosition, getHtmlElement, getHtmlElementAsString, getHtmlPosition, getImage, getImgURL, getImgURL, getInnerContentHeight, getInnerContentWidth, getInnerHeight, getInnerWidth, getIsGroup, getIsPrinting, getIsRuleScope, getIsSnapAlignCandidate, getKeepInParentRect, getLayoutAlign, getLeaveGroupLabelSpace, getLeavePageSpace, getLeft, getLeftAsString, getLocalId, getLocateByIDOnly, getLocateChildrenBy, getLocateChildrenType, getLocatePeersBy, getLocatePeersType, getLocatorName, getMargin, getMasterCanvas, getMasterElement, getMatchElement, getMatchElementHeight, getMatchElementWidth, getMaxHeight, getMaxWidth, getMaxZoomOverflowError, getMenuConstructor, getMinHeight, getMinNonEdgeSize, getMinWidth, getMomentumScrollMinSpeed, getMouseStillDownDelay, getMouseStillDownInitialDelay, getName, getNativeAutoHideScrollbars, getNextZIndex, getNoDoubleClicks, getNoDropCursor, getOffsetHeight, getOffsetWidth, getOffsetX, getOffsetY, getOpacity, getOuterElement, getOverflow, getPadding, getPageBottom, getPageLeft, getPageRect, getPageRight, getPageTop, getPaletteDefaults, getPanelContainer, getParentCanvas, getParentCanvasAsString, getParentElement, getParentElementAsString, getPeers, getPendingMarkerStyle, getPendingMarkerVisible, getPercentBox, getPercentSource, getPersistentMatchElement, getPointerSettings, getPointerTarget, getPointerTargetAsString, getPosition, getPrefix, getPrintChildrenAbsolutelyPositioned, getPrintHTML, getPrintHTML, getPrintStyleName, getPrompt, getProportionalResizeModifiers, getProportionalResizing, getReceiveScrollbarEvents, getRect, getRedrawOnResize, getResizeBarTarget, getResizeFrom, getRight, getRuleContext, getRuleContext, getRuleScope, getScrollbarSize, getScrollBottom, getScrollHeight, getScrollLeft, getScrollRight, getScrollTop, getScrollWidth, getShadowColor, getShadowDepth, getShadowHOffset, getShadowImage, getShadowOffset, getShadowSoftness, getShadowSpread, getShadowVOffset, getShareCriteria, getShouldPrint, getShowCustomScrollbars, getShowDragShadow, getShowEdges, getShowFocusOutline, getShowHover, getShowHoverComponents, getShowPointer, getShowResizeBar, getShowShadow, getShowSnapGrid, getShrinkElementOnHide, getSingleDiv, getSizeMayChangeOnRedraw, getSkinImgDir, getSnapAlignCandidates, getSnapAlignCenterLineStyle, getSnapAlignEdgeLineStyle, getSnapAxis, getSnapEdge, getSnapGridLineProperties, getSnapGridStyle, getSnapHDirection, getSnapHGap, getSnapOffsetLeft, getSnapOffsetTop, getSnapOnDrop, getSnapPosition, getSnapPosition, getSnapResizeToAlign, getSnapResizeToGrid, getSnapTo, getSnapToAlign, getSnapToCenterAlign, getSnapToEdgeAlign, getSnapToGrid, getSnapVDirection, getSnapVGap, getStartLine, getStyleName, getSuppressRedraw, getTabIndex, getTestDataContext, getTestInstance, getTitle, getTooltip, getTop, getTopAsString, getTopElement, getTopLevelComponents, getUpdateTabPositionOnDraw, getUpdateTabPositionOnReparent, getUseBackMask, getUseCSSShadow, getUseDataContextCriteria, getUseDragMask, getUseGeneratedStyles, getUseImageForSVG, getUseNativeDrag, getUseOpacityFilter, getUseTouchScrolling, getValuesManagerAsString, getViewportHeight, getViewportWidth, getVisibility, getVisibleHeight, getVisibleWhen, getVisibleWidth, getVSnapPosition, getVSnapPosition, getWidth, getWidthAsString, getWorkflows, getZIndex, getZIndex, handleDataContextCriteria, handleHover, hide, hideClickMask, hideClickMask, hideComponentMask, hideComponentMask, hideContextMenu, imgHTML, imgHTML, imgHTML, initComplete, intersects, isDirty, isDisabled, isVisible, keyUp, layoutChildren, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, markForDestroy, markForRedraw, markForRedraw, moveAbove, moveBelow, moveBy, moveTo, onAttach, onDetach, pageScrollDown, pageScrollUp, parentResized, placeNear, placeNear, placeNear, print, print, print, print, printComponents, provideRuleContext, provideRuleContext, redraw, redraw, registerAIService, registerFontScaledPaddingStyles, removeChild, removeChild, removePeer, removePeer, removeRuleContext, removeSnapAlignCandidate, resizeAutoChildAttributes, resizeBy, resizeControls, resizeControlsTo, resizeFonts, resizeFonts, resizeFonts, resizeFontsTo, resizeIcons, resizePadding, resizePadding, resizeTo, resizeTo, resolveContentsComponent, revealChild, revealChild, scrollBy, scrollByPercent, scrollTo, scrollTo, scrollTo, scrollTo, scrollTo, scrollToBottom, scrollToLeft, scrollToPercent, scrollToRight, scrollToTop, sendToBack, setAccessKey, setAdaptHeightByCustomizer, setAdaptiveHeightPriority, setAdaptiveWidthPriority, setAdaptWidthByCustomizer, setAlign, setAllowExternalFilters, setAlwaysManageFocusNavigation, setAlwaysShowScrollbars, setAnimateAcceleration, setAnimateFadeTime, setAnimateHideAcceleration, setAnimateHideEffect, setAnimateHideTime, setAnimateMoveAcceleration, setAnimateMoveTime, setAnimateRectAcceleration, setAnimateRectTime, setAnimateResizeAcceleration, setAnimateResizeLayoutMode, setAnimateResizeTime, setAnimateScrollAcceleration, setAnimateScrollTime, setAnimateShowAcceleration, setAnimateShowEffect, setAnimateShowTime, setAnimateTime, setAppImgDir, setAriaRole, setAriaState, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoHeight, setAutoMaskComponents, setAutoParent, setAutoPopulateData, setAutoResizeAutoChildAttributes, setAutoResizeIcons, setAutoRevertStyles, setAutoShowParent, setAutoWidth, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBorderRadius, setBottom, setCanAcceptDrop, setCanAdaptHeight, setCanAdaptWidth, setCanDrag, setCanDragReposition, setCanDragResize, setCanDragScroll, setCanDrop, setCanDropBefore, setCanDropContent, setCanDropFiles, setCanHover, setCanSelectText, setChildren, setChildrenResizeSnapAlign, setChildrenSnapAlign, setChildrenSnapCenterAlign, setChildrenSnapEdgeAlign, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setComponentMaskDefaults, setContents, setContentsComponentDefaults, setContextMenu, setCorrectZoomOverflow, setCursor, setDataContext, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataPath, setDefaultHeight, setDefaultNativeAutoHideScrollbars, setDefaultPageSpace, setDefaultProperties, setDefaultShowCustomScrollbars, setDefaultWidth, setDeferActionConversion, setDefiningProperty, setDefiningPropertyNameOptions, setDisabled, setDisabledCursor, setDisableTouchScrollingForDrag, setDoubleClickDelay, setDragAppearance, setDragIntersectStyle, setDragMaskType, setDragMaxHeight, setDragMaxWidth, setDragMinHeight, setDragMinWidth, setDragOpacity, setDragRepositionAppearance, setDragRepositionCursor, setDragResizeAppearance, setDragScrollDelay, setDragStartDistance, setDragTarget, setDragTarget, setDragType, setDropTarget, setDropTarget, setDropTypes, setDropTypes, setDynamicContents, setEdgeBackgroundColor, setEdgeCenterBackgroundColor, setEdgeImage, setEdgeMarginSize, setEdgeOffset, setEdgeOpacity, setEdgeShowCenter, setEdgeSize, setEditMode, setEditMode, setEditMode, setElement, setEnableWhen, setEndLine, setExtraSpace, setFacetId, setFloatingScrollbars, setForwardSVGeventsToObject, setGroupBorderCSS, setGroupLabelBackgroundColor, setGroupLabelStyleName, setGroupPadding, setGroupTitle, setHeight, setHeight, setHeight, setHeight100, setHideUsingDisplayNone, setHoverAlign, setHoverAutoDestroy, setHoverAutoFitMaxWidth, setHoverAutoFitMaxWidth, setHoverAutoFitWidth, setHoverDelay, setHoverFocusKey, setHoverHeight, setHoverMoveWithMouse, setHoverOpacity, setHoverPersist, setHoverScreen, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWrap, setHtmlElement, setHtmlElement, setHtmlPosition, setImage, setImage, setInitHandler, setIsGroup, setIsRuleScope, setIsSnapAlignCandidate, setKeepInParentRect, setKeepInParentRect, setKeepInParentRect, setLayoutAlign, setLayoutAlign, setLeaveGroupLabelSpace, setLeavePageSpace, setLeft, setLeft, setLocateByIDOnly, setLocateChildrenBy, setLocateChildrenType, setLocatePeersBy, setLocatePeersType, setLocatorName, setLocatorParent, setLocatorParent, setLogicalStructure, setMargin, setMatchElement, setMatchElementHeight, setMatchElementWidth, setMaxHeight, setMaxWidth, setMaxZoomOverflowError, setMenuConstructor, setMinHeight, setMinNonEdgeSize, setMinWidth, setMomentumScrollMinSpeed, setMouseStillDownDelay, setMouseStillDownInitialDelay, setName, setNativeAutoHideScrollbars, setNeverUseFilters, setNoDoubleClicks, setNoDropCursor, setOpacity, setOverflow, setPadding, setPageLeft, setPageTop, setPanelContainer, setParentCanvas, setParentCanvas, setParentElement, setParentElement, setPeers, setPendingMarkerStyle, setPendingMarkerVisible, setPercentBox, setPercentSource, setPersistentMatchElement, setPointerSettings, setPointerTarget, setPosition, setPrefix, setPrintChildrenAbsolutelyPositioned, setPrintStyleName, setPrompt, setProportionalResizeModifiers, setProportionalResizing, setReceiveScrollbarEvents, setRect, setRect, setRedrawOnResize, setRelativeTabPosition, setResizeBarTarget, setResizeFrom, setResizeFrom, setRight, setRuleScope, setScrollbarConstructor, setScrollbarSize, setShadowColor, setShadowDepth, setShadowHOffset, setShadowImage, setShadowOffset, setShadowSoftness, setShadowSpread, setShadowVOffset, setShareCriteria, setShouldPrint, setShowCustomScrollbars, setShowDragShadow, setShowEdges, setShowFocusOutline, setShowHover, setShowHoverComponents, setShowPointer, setShowResizeBar, setShowShadow, setShowSnapGrid, setShrinkElementOnHide, setSingleDiv, setSizeMayChangeOnRedraw, setSkinImgDir, setSmoothFade, setSnapAlignCandidates, setSnapAlignCenterLineStyle, setSnapAlignEdgeLineStyle, setSnapAxis, setSnapEdge, setSnapGridLineProperties, setSnapGridStyle, setSnapHDirection, setSnapHGap, setSnapOffsetLeft, setSnapOffsetTop, setSnapOnDrop, setSnapResizeToAlign, setSnapResizeToGrid, setSnapTo, setSnapToAlign, setSnapToCenterAlign, setSnapToEdgeAlign, setSnapToGrid, setSnapVDirection, setSnapVGap, setStartLine, setStyleName, setSuppressRedraw, setTabIndex, setTestDataContext, setTitle, setTooltip, setTop, setTop, setUpdateTabPositionOnDraw, setUpdateTabPositionOnReparent, setUseBackMask, setUseCSSShadow, setUseDataContextCriteria, setUseDragMask, setUseGeneratedStyles, setUseImageForSVG, setUseNativeDrag, setUseOpacityFilter, setUseTouchScrolling, setValuesManager, setVisibility, setVisible, setVisibleWhen, setWidth, setWidth, setWidth, setWidth100, setWorkflows, setZIndex, shouldDragScroll, show, showClickMask, showComponentMask, showComponentMask, showNextTo, showNextTo, showNextTo, showNextTo, showPendingMarker, showPrintPreview, showPrintPreview, showPrintPreview, showPrintPreview, showRecursively, startBatchCreation, startDebuggingOverflow, stopDebuggingOverflow, subtractRects, supportsValueDictation, supportsVoiceCommands, unregisterAIService, updateChildTabPosition, updateChildTabPositions, updateEditNode, updateHover, updateHover, updateShadow, updateTabPositionForDraw, visibleAtPoint, willAcceptDrop`

  ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

  `addDrawHandler, addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, clearDynamicProperty, completeCreation, destroy, doAddHandler, doInit, doOnRender, draw, equals, error, errorIfNotCreated, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDateArray, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAutoDraw, getConfig, getDOM, getHandlerCount, getID, getInnerHTML, getJsObj, getOrCreateJsObj, getRef, getScClassName, hasAutoAssignedID, hasDynamicProperty, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, isDrawn, isFactoryCreated, onBind, onDestroy, onDraw, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoDraw, setConfig, setConfigOnly, setDefaultProperties, setDragTracker, setFactoryCreated, setID, setJavaScriptObject, setLogicalStructure, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

  ### Methods inherited from class com.google.gwt.user.client.ui.Widget

  `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

  ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

  `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getStyleElement, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.smartgwt.client.widgets.DataBoundComponent

  `getOrCreateJsObj`

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Constructor Details

  - ### SearchForm

    public SearchForm()

  - ### SearchForm

    public SearchForm(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static SearchForm getOrCreateRef(JavaScriptObject jsObj)

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, Canvas defaults)
    Changes the defaults for Canvas AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, FormItem defaults)
    Changes the defaults for FormItem AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### create

    protected JavaScriptObject create()
    Overrides:
      `create` in class `DynamicForm`

  - ### setCanEditFieldAttribute

    public SearchForm setCanEditFieldAttribute(String canEditFieldAttribute) throws IllegalStateException
    This property is overridden in SearchForm to allow editing of dataSource fields marked as `canFilter:true` by default.

    Note : This is an advanced setting

    Overrides:
      `setCanEditFieldAttribute` in class `DynamicForm`
    Parameters:
      `canEditFieldAttribute` - New canEditFieldAttribute value. Default value is "canFilter"
    Returns:
      `SearchForm` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `Identifier`

  - ### getCanEditFieldAttribute

    public String getCanEditFieldAttribute()
    This property is overridden in SearchForm to allow editing of dataSource fields marked as `canFilter:true` by default.
    Overrides:
      `getCanEditFieldAttribute` in class `DynamicForm`
    Returns:
      Current canEditFieldAttribute value. Default value is "canFilter"
    See Also:
      - `Identifier`

  - ### setCriteriaChangedDelay

    public SearchForm setCriteriaChangedDelay(Integer criteriaChangedDelay)
    Delay in milliseconds between user changing the criteria in the form and the `SearchForm.criteriaChanged()` notification method being fired. Set to zero to respond to criteria changes synchronously after `DynamicForm.itemChanged()`.
    Parameters:
      `criteriaChangedDelay` - New criteriaChangedDelay value. Default value is 200
    Returns:
      `SearchForm` instance, for chaining setter calls

  - ### getCriteriaChangedDelay

    public Integer getCriteriaChangedDelay()
    Delay in milliseconds between user changing the criteria in the form and the `SearchForm.criteriaChanged()` notification method being fired. Set to zero to respond to criteria changes synchronously after `DynamicForm.itemChanged()`.
    Returns:
      Current criteriaChangedDelay value. Default value is 200

  - ### setLargeValueMapFilterEditorThreshold

    public SearchForm setLargeValueMapFilterEditorThreshold(Integer largeValueMapFilterEditorThreshold) throws IllegalStateException
    For `SearchForms` and `Items in a filterEditor` this property governs the threshold for how many entries are in a `FormItem.valueMap` before the `largeValueMapFilterEditorType` is displayed.

    Only applies to fields with an explicit valueMap - if a field derives its options from an `optionDataSource`, the largeValueMapFilterEditorType is always used.

    Note : This is an advanced setting

    Overrides:
      `setLargeValueMapFilterEditorThreshold` in class `DynamicForm`
    Parameters:
      `largeValueMapFilterEditorThreshold` - New largeValueMapFilterEditorThreshold value. Default value is 50
    Returns:
      `SearchForm` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getLargeValueMapFilterEditorThreshold

    public Integer getLargeValueMapFilterEditorThreshold()
    For `SearchForms` and `Items in a filterEditor` this property governs the threshold for how many entries are in a `FormItem.valueMap` before the `largeValueMapFilterEditorType` is displayed.

    Only applies to fields with an explicit valueMap - if a field derives its options from an `optionDataSource`, the largeValueMapFilterEditorType is always used.

    Overrides:
      `getLargeValueMapFilterEditorThreshold` in class `DynamicForm`
    Returns:
      Current largeValueMapFilterEditorThreshold value. Default value is 50

  - ### setLargeValueMapFilterEditorType

    public SearchForm setLargeValueMapFilterEditorType(String largeValueMapFilterEditorType) throws IllegalStateException
    For `SearchForms` and `Items in a filterEditor`, what formItem should be used to display large set of options to the user?

    This property is consulted when generating the item for a field with a valueMap containing more options than the `largeValueMapFilterEditorThreshold`. It is also consulted if the item derives its options from an `optionDataSource`.

    Note that if the `DynamicForm.dataSource` does not support the `criterion.operator` generated by this editor, the editor will not be used. This may occur with the default `SetFilterItem` if the dataSource does not support `inSet` and `notInSet` criteria.

    Note : This is an advanced setting

    Overrides:
      `setLargeValueMapFilterEditorType` in class `DynamicForm`
    Parameters:
      `largeValueMapFilterEditorType` - New largeValueMapFilterEditorType value. Default value is "SetFilterItem"
    Returns:
      `SearchForm` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getLargeValueMapFilterEditorType

    public String getLargeValueMapFilterEditorType()
    For `SearchForms` and `Items in a filterEditor`, what formItem should be used to display large set of options to the user?

    This property is consulted when generating the item for a field with a valueMap containing more options than the `largeValueMapFilterEditorThreshold`. It is also consulted if the item derives its options from an `optionDataSource`.

    Note that if the `DynamicForm.dataSource` does not support the `criterion.operator` generated by this editor, the editor will not be used. This may occur with the default `SetFilterItem` if the dataSource does not support `inSet` and `notInSet` criteria.

    Overrides:
      `getLargeValueMapFilterEditorType` in class `DynamicForm`
    Returns:
      Current largeValueMapFilterEditorType value. Default value is "SetFilterItem"

  - ### setSearchOnEnter

    public SearchForm setSearchOnEnter(Boolean searchOnEnter)
    Causes the `search()` event to be triggered when the user presses the Enter key in any field of this form.

    This is the same as the `saveOnEnter` property of `DynamicForm` - setting either property to true will cause the `search()` event to fire on Enter keypress.

    Parameters:
      `searchOnEnter` - New searchOnEnter value. Default value is true
    Returns:
      `SearchForm` instance, for chaining setter calls

  - ### getSearchOnEnter

    public Boolean getSearchOnEnter()
    Causes the `search()` event to be triggered when the user presses the Enter key in any field of this form.

    This is the same as the `saveOnEnter` property of `DynamicForm` - setting either property to true will cause the `search()` event to fire on Enter keypress.

    Returns:
      Current searchOnEnter value. Default value is true

  - ### setShowFilterFieldsOnly

    public SearchForm setShowFilterFieldsOnly(Boolean showFilterFieldsOnly)
    If this attribute is true any `canFilter:false` fields specified on the dataSource will not be shown unless explicitly included in this component's `fields array`

    Note : This is an advanced setting

    Parameters:
      `showFilterFieldsOnly` - New showFilterFieldsOnly value. Default value is true
    Returns:
      `SearchForm` instance, for chaining setter calls

  - ### getShowFilterFieldsOnly

    public Boolean getShowFilterFieldsOnly()
    If this attribute is true any `canFilter:false` fields specified on the dataSource will not be shown unless explicitly included in this component's `fields array`
    Returns:
      Current showFilterFieldsOnly value. Default value is true

  - ### setStoreDisplayValues

    public SearchForm setStoreDisplayValues(Boolean storeDisplayValues)
    For editable fields with a specified `FormItem.displayField` and `FormItem.optionDataSource`, if the user selects a new value (typically from PickList based item such as a SelectItem), should the selected displayValue be updated on the record being edited in addition to the value for the actual item.
    Note that this only applies for fields using `local display field values`.

    Overriden to be false for `searchForm`s. It is typically not necessary to have the display value as well as the data value be included in generated criteria when a user selects a new value from a field with a specified `FormItem.displayField`.

    See `DynamicForm.storeDisplayValues` for more information on this property.

    Note : This is an advanced setting

    Overrides:
      `setStoreDisplayValues` in class `DynamicForm`
    Parameters:
      `storeDisplayValues` - New storeDisplayValues value. Default value is false
    Returns:
      `SearchForm` instance, for chaining setter calls

  - ### getStoreDisplayValues

    public Boolean getStoreDisplayValues()
    For editable fields with a specified `FormItem.displayField` and `FormItem.optionDataSource`, if the user selects a new value (typically from PickList based item such as a SelectItem), should the selected displayValue be updated on the record being edited in addition to the value for the actual item.
    Note that this only applies for fields using `local display field values`.

    Overriden to be false for `searchForm`s. It is typically not necessary to have the display value as well as the data value be included in generated criteria when a user selects a new value from a field with a specified `FormItem.displayField`.

    See `DynamicForm.storeDisplayValues` for more information on this property.

    Overrides:
      `getStoreDisplayValues` in class `DynamicForm`
    Returns:
      Current storeDisplayValues value. Default value is false

  - ### setUseMultiSelectForValueMaps

    public SearchForm setUseMultiSelectForValueMaps(boolean useMultiSelectForValueMaps) throws IllegalStateException
    When creating a SelectItem within a Search Form for editing criteria for a field with a ValueMap, should the SelectItem default to `multiple:true`?

    Note that for ListGrids showing a `filterEditor`, this property will be derived from `ListGrid.useMultiSelectForFilterValueMaps`

    Note : This is an advanced setting

    Parameters:
      `useMultiSelectForValueMaps` - New useMultiSelectForValueMaps value. Default value is true
    Returns:
      `SearchForm` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getUseMultiSelectForValueMaps

    public boolean getUseMultiSelectForValueMaps()
    When creating a SelectItem within a Search Form for editing criteria for a field with a ValueMap, should the SelectItem default to `multiple:true`?

    Note that for ListGrids showing a `filterEditor`, this property will be derived from `ListGrid.useMultiSelectForFilterValueMaps`

    Returns:
      Current useMultiSelectForValueMaps value. Default value is true

  - ### addCriteriaChangedHandler

    public HandlerRegistration addCriteriaChangedHandler(CriteriaChangedHandler handler)
    Add a criteriaChanged handler.

    Notification method fired when the criteria are modified in this SearchForm. As the user edits values, this method will be fired after a `configurable delay`.

    Specified by:
      `addCriteriaChangedHandler` in interface `HasCriteriaChangedHandlers`
    Parameters:
      `handler` - the criteriaChanged handler
    Returns:
      `HandlerRegistration` used to remove this handler

  - ### addOnSearchHandler

    public HandlerRegistration addOnSearchHandler(OnSearchHandler handler)
    Add a onSearch handler.

    Notification event fired indicating that a user is attempting to perform a search. This is fired when a SearchForm is submitted either from a click on a `SubmitItem` in the form, or from an Enter keypress if `SearchForm.searchOnEnter` or `DynamicForm.saveOnEnter` is true.

    Specified by:
      `addOnSearchHandler` in interface `HasOnSearchHandlers`
    Parameters:
      `handler` - the onSearch handler
    Returns:
      `HandlerRegistration` used to remove this handler

  - ### setDefaultProperties

    public static void setDefaultProperties(SearchForm searchFormProperties)
    Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties set on the SmartGWT class instance passed to this function before its underlying SmartClient JS object was created. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

    Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

    Parameters:
      `searchFormProperties` - properties that should be used as new defaults when instances of this class are created
    See Also:
      - `SGWTProperties`

  - ### search

    public void search()

  - ### setLogicalStructure

    public LogicalStructureObject setLogicalStructure(SearchFormLogicalStructure s)
    Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.

  - ### getLogicalStructure

    public LogicalStructureObject getLogicalStructure()
    Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    Specified by:
      `getLogicalStructure` in interface `LogicalStructure`
    Overrides:
      `getLogicalStructure` in class `DynamicForm`